#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%define		pdir	Net
%define		pnam	Daemon
Summary:	Net::Daemon - Perl extension for portable daemons
Summary(pl.UTF-8):	Net::Daemon - perlowe rozszerzenie dla przenośnych demonów
Name:		perl-Net-Daemon
Version:	0.48
Release:	1%{?tld}
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	771f9ba01c3b033ed8cc3d6bad36e5fb
URL:		https://metacpan.org/release/Net-Daemon
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Thread)'

%description
Net::Daemon is an abstract base class for implementing portable server
applications in a very simple way. The module is designed for Perl
5.005 and threads, but can work with fork() and Perl 5.004.

%description -l pl.UTF-8
Net::Daemon to abstrakcyjna klasa bazowa do implementowania
przenośnych aplikacji serwerowych w bardzo prosty sposób. Ten moduł
był projektowany dla Perla 5.005 z wątkami, ale może działać także z
funkcją fork() i Perlem 5.004.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Net/Daemon.pm
%{perl_vendorlib}/Net/Daemon
%{_mandir}/man3/Net::Daemon*.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Net-Daemon.git;a=log;h=master

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> a4becd5
- URL and macros update

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f0386db
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 36df41a
- up to 0.48

* Mon Mar 03 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 33867c1
- rel.2

* Sat Jun 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 55446dc
- up to 0.43

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> b23ae44
- generic URL

* Sun Jun 03 2007 Maciej Pijanka <agaran@pld-linux.org> 7bf57a5
- up to 0.41, rel 1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 96dc676
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3cc8afc
- converted to UTF-8

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> 1d2432c
- updated to 0.39 rel 1

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 883e92e
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 2649c07
- spelling fixes, uppercases, etc.

* Fri May 07 2004 ankry <ankry@pld-linux.org> bfc7806
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 114c467
- fixed perl-devel BR

* Mon Apr 26 2004 ankry <ankry@pld-linux.org> 2dab123
- license fixes and unification

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 460291a
- cosmetics, unification

* Sat Mar 13 2004 eothane <eothane@pld-linux.org> 5d8b09c
- new bcond style; some cosmetics here and there; changelog cleanups

* Tue Jan 13 2004 trojan <trojan@pld-linux.org> 76cbf4d
- updated to 0.38

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 4f328a1
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 56bceeb
- mass commit: cosmetics (removed trailing white spaces)

